Summary:       ALSA C++ library
Name:          zita-alsa-pcmi
Version:       0.6.1
Release:       1%{?dist}
License:       GPLv3+ 
URL:           http://kokkinizita.linuxaudio.org
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2

BuildRequires: make gcc-c++
BuildRequires: alsa-lib-devel

%description
%{name} is the successor of clalsadrv. It provides easy access
to ALSA PCM devices, taking care of the many functions required to
open, initialize and use a hw: device in mmap mode, and providing
floating point audio data.

%package       devel
Summary:       Development libraries and headers for %{name}
Requires:      %{name} = %{version}-%{release}
Requires:      alsa-lib-devel

%description   devel
This package contains the headers and development libraries for %{name}.

%package       utils
Summary:       ALSA utilities using the %{name} library
Requires:      %{name} = %{version}-%{release}
License:       GPLv2+ and GPLv3+

%description   utils
This package contains the headers and development libraries for %{name}.

%prep
%setup -q
sed -i -e '/^CXXFLAGS += -march=native/d' -e '/ldconfig/d' -e 's/install -m/install -p -m/g' source/Makefile
sed -i -e 's/install -m/install -p -m/g' apps/Makefile
sed -i -e 's/install -d $(BINDIR)/install -d $(DESTDIR)$(BINDIR)/' apps/Makefile

%build
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir} -C source
ln -sf lib%{name}.so.%{version} source/lib%{name}.so
%make_build PREFIX=%{_prefix} CXXFLAGS="${CXXFLAGS} -I../source" LDFLAGS="${LDFLAGS} -L../source" -C apps

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir} -C source
%make_install PREFIX=%{_prefix} -C apps

%files
%doc AUTHORS README
%license COPYING
%{_libdir}/lib%{name}.so.0*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%files utils
%{_bindir}/alsa_delay
%{_bindir}/alsa_loopback

%changelog
* Fri Jul 26 2024 jiang ling yu <1353859743@qq.com> - 0.6.1-1
- other
- initial build
